<?php
/**
* Plugin Name: Arcane tournament types
* Plugin URI: http://skywarriorthemes.com/
* Description: Premium tournament types for Arcane theme.
* Version: 2.0
* Author: Skywarrior themes
* Author URI: http://www.skywarriorthemes.com/
*/
class Arcane_Tournament_Types {

	function __construct() {
        register_activation_hook( __FILE__,array( $this,'activate' ) );
		register_deactivation_hook( __FILE__,array( $this,'deactivate' ) );
        add_action( 'init', array( $this, 'arcane_create_tournament_types' ), 1 );
    }

	 function activate() {
        $this->arcane_create_tournament_types();
    }
		function deactivate() {
         $this->arcane_remove_tournament_types();
     }

    function arcane_create_tournament_types() {
			$theme = wp_get_theme(); // gets the current theme
			if ('Arcane' == $theme->name || 'Arcane' == $theme->parent_theme) {

			$this->arcane_TournamentTypeEditOptions('Round Robin',  plugin_dir_path(__FILE__) . 'types/define-roundrobin.php', 'add' );
			$this->arcane_TournamentTypeEditOptions('Ladder',  plugin_dir_path(__FILE__) . 'types/define-ladder.php', 'add' );
			$this->arcane_TournamentTypeEditOptions('League',  plugin_dir_path(__FILE__) . 'types/define-league.php', 'add' );
			}

            load_plugin_textdomain( 'arcane_tournament_types',false, basename( dirname( __FILE__ ) ));

		}

		function arcane_remove_tournament_types() {

			$theme = wp_get_theme(); // gets the current theme
			if ('Arcane' == $theme->name || 'Arcane' == $theme->parent_theme) {

			$this->arcane_TournamentTypeEditOptions('Round Robin',  plugin_dir_path(__FILE__) . 'types/define-roundrobin.php', 'remove' );
			$this->arcane_TournamentTypeEditOptions('Ladder',  plugin_dir_path(__FILE__) . 'types/define-ladder.php', 'remove' );
			$this->arcane_TournamentTypeEditOptions('League',  plugin_dir_path(__FILE__) . 'types/define-league.php', 'remove' );

			}
		}

		function arcane_TournamentTypeEditOptions($name, $file, $action = "add") {
			$formats = get_option('enabled_tournament_types');

			if ($action == "add") {
				$found = false;
				if (is_array($formats) AND (!empty($formats))){
					foreach ($formats as $key => $single) {
						if ($single['name'] == $name) {
							//exists don't add
							$formats[$key]['name'] == $name;
							$formats[$key]['file'] == $file;
							$found = true;
						}
					}
					if ($found == false) {
						$formats[] = array('name' => $name, 'file' => $file);
						//update_option('enabled_tournament_types', $formats);
					}
					update_option('enabled_tournament_types', $formats);
					return true;
				} else {
					$formats = array();
					$formats[] = array('name' => $name, 'file' => $file);
					update_option('enabled_tournament_types', $formats);
					return true;
				}
			} elseif ($action == "remove") {
				$newformats = array();
				if (is_array($formats) AND (!empty($formats))){
					foreach ($formats as $single) {
						if ($single['name'] != $name) {
							$newformats[] = $single;
						}
					}
					update_option('enabled_tournament_types', $newformats);
					return true;
				} else {
					return true;
				}
			} elseif ($action == "update") {
				if (is_array($formats) AND (!empty($formats))){
					foreach ($formats as $key => $single) {
						if ($single['name'] == $name) {
							$formats[$key]['file'] = $file;
							update_option('enabled_tournament_types', $formats);
							return true;
						}
					}
					return false;
				} else {
					return false;
				}
			}
		}

}

$arcane_tournament_Types = new Arcane_Tournament_Types();

?>