<?php

if ( ! class_exists( 'Arcane_Tournaments_Roundrobin' ) ) {
	class Arcane_Tournaments_Roundrobin {
		var $options = array();
		var $initialized = false;
		var $privateoptions = array();

		public function __construct() {
			//echo "groups";
		}

		public function GetDesc() {
			$new         = array();
			$new['slug'] = "rrobin";
			$new['desc'] = esc_html__( "Each contestant meets all other contestants in turn, with finals played in elimination format.", "arcane_tournament_types" );
			$new['name'] = "Round Robin with knockout";

			return $new;
		}

		public function GetPhaseAdminHtml() {
			return false;
		}

		public function OnResultSubmit( $data ) {

			global $ArcaneWpTeamWars;

			$tid      = $data['tid'];
			$mid      = $data['match_postid'];
			$t1_score = $data['team1_score'];
			$t2_score = $data['team2_score'];


			$rounds = get_post_meta( $tid, 'game_cache', true );
			$found  = false;
			if ( is_array( $rounds ) ) {
				$test = get_post_meta( $tid, 'playoffs_started', true );

				if ( $test !== '1' ) {
					//--------------------------------------------------------------
					//------------------LEAGUE--------------------------------------------
					//--------------------------------------------------------------
					//--------------------------------------------------------------
					foreach ( $rounds as $round_key => $round ) {
						if ( $found == false ) {
							foreach ( $round as $game_key => $game ) {
								if ( $found == false ) {
									if ( $game['match_post_id'] == $mid ) {
										$editor['gamekey']  = $game_key;
										$editor['roundkey'] = $round_key;
										$editor['game']     = $game;
										$found              = true;
									}
								}
							}
						}
					}
					if ( $found == true ) {

						//found, update
						$participants = get_post_meta( $data['tid'], 'participant_cache', true );

						//ako ima score znaci da je edit iz back enda
						if ( strlen( $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['score'] ) > 1 ) {
							$score = explode( ":", $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['score'] );

							if ( count( $score ) == 2 ) {
								$score[0] = intval( $score[0] );
								$score[1] = intval( $score[1] );

								if ( $score[0] > $score[1] ) {
									$winner = "team1";
								} elseif ( $score[0] < $score[1] ) {
									$winner = "team2";
								} else {
									$winner = "draw";
								}

								$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['games'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['games'] - 1;
								$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['games'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['games'] - 1;

								if ( $winner == 'team1' ) {
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['victories'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['victories'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['points']    = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['points'] - 3;

									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['defeats'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['defeats'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['points']  = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['points'] - 0;
								} elseif ( $winner == 'team2' ) {
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['victories'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['victories'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['points']    = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['points'] - 3;

									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['defeats'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['defeats'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['points']  = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['points'] - 0;
								} else {
									//draw
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['draws']  = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['draws'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['draws']  = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['draws'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['points'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['id'] ]['score']['points'] - 1;
									$participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['points'] = $participants[ $rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['id'] ]['score']['points'] - 1;
								}
								$rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['score'] = "";
							}
						}

						$rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['score']             = $data['team1_score'] . ":" . $data['team2_score'];
						$rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['score'] = $data['team1_score'];
						$rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['score'] = $data['team2_score'];
						update_post_meta( $data['tid'], 'game_cache', $rounds );

						$match = $ArcaneWpTeamWars->get_match( array( 'id'          => $data['match_id'],
						                                              'sum_tickets' => true
						) );

						$participants[ $match->team1 ]['score']['games'] = $participants[ $match->team1 ]['score']['games'] + 1;
						$participants[ $match->team2 ]['score']['games'] = $participants[ $match->team2 ]['score']['games'] + 1;

						if ( $data['winner'] == 'team1' ) {
							$participants[ $match->team1 ]['score']['victories'] = $participants[ $match->team1 ]['score']['victories'] + 1;
							$participants[ $match->team1 ]['score']['points']    = $participants[ $match->team1 ]['score']['points'] + 3;

							$participants[ $match->team2 ]['score']['defeats'] = $participants[ $match->team2 ]['score']['defeats'] + 1;
							$participants[ $match->team2 ]['score']['points']  = $participants[ $match->team2 ]['score']['points'] + 0;
						} elseif ( $data['winner'] == 'team2' ) {
							$participants[ $match->team2 ]['score']['victories'] = $participants[ $match->team2 ]['score']['victories'] + 1;
							$participants[ $match->team2 ]['score']['points']    = $participants[ $match->team2 ]['score']['points'] + 3;

							$participants[ $match->team1 ]['score']['defeats'] = $participants[ $match->team1 ]['score']['defeats'] + 1;
							$participants[ $match->team1 ]['score']['points']  = $participants[ $match->team1 ]['score']['points'] + 0;
						} else {
							//draw
							$participants[ $match->team1 ]['score']['draws']  = $participants[ $match->team1 ]['score']['draws'] + 1;
							$participants[ $match->team2 ]['score']['draws']  = $participants[ $match->team2 ]['score']['draws'] + 1;
							$participants[ $match->team1 ]['score']['points'] = $participants[ $match->team1 ]['score']['points'] + 1;
							$participants[ $match->team2 ]['score']['points'] = $participants[ $match->team2 ]['score']['points'] + 1;
						}
						//updated, need to reorder
						$tempscores = array();
						foreach ( $participants as $participant ) {
							if ( isset( $participant['id'] ) ) {
								$tempscores[ $participant['score']['points'] ][] = $participant['id'];
							}
						}
						$positions = 0;
						ksort( $tempscores );
						$tempscores = array_reverse( $tempscores );

						foreach ( $tempscores as $pos => $score ) {
							$positions ++;
							if ( is_array( $score ) ) {
								//more than one on spot
								foreach ( $score as $single ) {
									//now is string
									$participants[ $single ]['position'] = $pos;
								}
							} else {
								$participants[ $score ]['position'] = $pos;
							}
						}
						$participants['positions'] = $positions;

						$sendparticipants = array();
						foreach ( $participants as $key => $single ) {
							if ( strlen( $key ) > 0 ) {
								$sendparticipants[ $key ] = $single;
							}
						}
						update_post_meta( $data['tid'], 'participant_cache', $sendparticipants );

						if ( $this->GamesLeftBeforePlayoff( $rounds ) == 0 ) {
							$this->SchedulePlayoffs( $tid );
						}


					} //end foundgame
				} else { //playoffs started, tusi
					$temp_rounds = $rounds['playoffs'];
					$found       = false;
					if ( is_array( $temp_rounds ) ) {
						foreach ( $temp_rounds as $round_key => $round ) {
							if ( $found == false ) {
								foreach ( $round as $game_key => $game ) {
									if ( $found == false ) {
										if ( $game['match_post_id'] == $mid ) {
											$editor['gamekey']  = $game_key;
											$editor['roundkey'] = $round_key;
											$editor['game']     = $game;
											$found              = true;
										}
									}
								}
							}
						}
						if ( $found == true ) {
							//found, update
							if ( ! ( strlen( $temp_rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['score'] ) > 1 ) ) {
								//score not already set, meaning we're not duplicating
								$temp_rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['score']             = $t1_score . ":" . $t2_score;
								$temp_rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0]['score'] = $t1_score;
								$temp_rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1]['score'] = $t2_score;
								$nextround                                                                     = $editor['roundkey'] + 1;
								$nextgame                                                                      = floor( $editor['gamekey'] / 2 );
								if ( $editor['gamekey'] & 1 ) {
									//odd, moves to pos 2
									$nextpos  = 1;
									$otherpos = 0;
								} else {
									//even, going to pos 1
									$nextpos  = 0;
									$otherpos = 1;
								}
								if ( $t1_score > $t2_score ) {
									//team 1 won, move them up
									$nextteam = $temp_rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][0];
								} else {
									//team 2 moves up
									$nextteam = $temp_rounds[ $editor['roundkey'] ][ $editor['gamekey'] ]['teams'][1];
								}
								if ( isset( $temp_rounds[ $nextround ][ $nextgame ] ) ) {
									$tournament = new Arcane_Tournaments();
									//check if tournament finished, don't make it endless
									if ( is_array( $nextteam ) ) {
										$nextteam['score'] = - 1;
									}
									$temp_rounds[ $nextround ][ $nextgame ]['teams'][ $nextpos ] = $nextteam;
									//team moved, check if other team is here
									if ( isset( $temp_rounds[ $nextround ][ $nextgame ]['teams'][ $otherpos ] ) ) {
										if ( isset( $temp_rounds[ $nextround ][ $nextgame ]['teams'][ $otherpos ]['id'] ) ) {
											if ( is_numeric( $temp_rounds[ $nextround ][ $nextgame ]['teams'][ $otherpos ]['id'] ) ) {
												//other team set, schedule match

												$tournament_timezone = get_post_meta( $tid, 'tournament_timezone', true );
												if ( ! $tournament_timezone ) {
													$timezone_string     = arcane_timezone_string();
													$tournament_timezone = $timezone_string ? $timezone_string : 'UTC';
												}
												date_default_timezone_set( $tournament_timezone );

												$howoften = get_post_meta( $tid, 'tournament_game_frequency', true );
#
												$fromwhen = strtotime( "now" );
												if ( $howoften == '15 minutes' ) {
													$minutes = 15;
												} elseif ( $howoften == '30 minutes' ) {
													$minutes = 30;
												} elseif ( $howoften == '60 minutes' ) {
													$minutes = 60;
												} elseif ( $howoften == 1 ) {
													$minutes = 24 * 60;
												} else {
													$minutes = $howoften * 24 * 60;
												}
												$multi = $nextround * $minutes;
												$time  = strtotime( "+" . $multi . ' minutes', $fromwhen );

												$tehpost = get_post( $tid );
												$dataz   = array(
													'pid'                     => $tehpost->ID,
													'title'                   => $tehpost->post_title,
													'description'             => $tehpost->post_content,
													'participants'            => 0,
													'tournament_format'       => 'Knockout',
													'tournament_slug'         => 'knockout',
													'game'                    => get_post_meta( $tehpost->ID, 'tournament_game', true ),
													'maps'                    => get_post_meta( $tehpost->ID, 'tournament_maps', true ),
													'tournament_contestants'  => get_post_meta( $tehpost->ID, 'tournament_contestants', true ),
													'tournament_games_format' => get_post_meta( $tehpost->ID, 'tournament_games_format', true ),
												);

												$temp_rounds[ $nextround ][ $nextgame ]['match_post_id'] = $tournament->ScheduleMatch( $tid, $dataz['tournament_contestants'], $temp_rounds[ $nextround ][ $nextgame ]['teams'][0]['id'], $temp_rounds[ $nextround ][ $nextgame ]['teams'][1]['id'], $tehpost->post_title . " - " . esc_html__( "Round", "arcane_tournament_types" ) . " " . ( $nextround + 1 ), $time, $dataz['game'], $dataz['description'] . "<br />" . esc_html__( "Round", "arcane_tournament_types" ) . " " . ( $nextround + 1 ) . " " . esc_html__( "game", "arcane_tournament_types" ), $dataz['maps'], $dataz['tournament_games_format'] );
											}
										}
									}
								}
								$rounds['playoffs'] = $temp_rounds;
								update_post_meta( $tid, 'game_cache', $rounds );

							}


						}
					}
				}
			}

			return true;
		}

		private function SchedulePlayoffs( $tid ) {
			$participants = get_post_meta( $tid, 'participant_cache', true );

			$taking_players = 2;
			$p              = 1;
			$count_players  = count( $participants ) - 1;


			if ( $count_players > 4 ) {
				while ( $taking_players < ceil( ( $count_players ) / 2 ) ) {
					//at most get the half
					$p ++;
					$taking_players = pow( 2, $p );
				}
			}
			$numrounds = $p;
			if ( $taking_players >= ceil( ( $count_players ) / 2 ) ) {
				$taking_players = pow( 2, $p - 1 );
			}
			if ( ( $taking_players == "1" ) or ( $numrounds < 1 ) ) {
				$taking_players = 2;
				$numrounds      = 1;
			}

			$took  = 0;
			$tempz = array();

			foreach ( $participants as $single ) {
				if ( isset( $single['id'] ) ) {
					$tempz[ $single['score']['points'] ][] = $single['id'];
				}
			}

			ksort( $tempz );
			$tempz = array_reverse( $tempz );

			$playoff_players = array();
			foreach ( $tempz as $temp ) {
				if ( is_array( $temp ) ) {
					foreach ( $temp as $single ) {
						if ( $took < $taking_players ) {
							$playoff_players[] = $single;
							$took ++;
						}
					}
				}

			}
			if ( is_array( $playoff_players ) ) {
				shuffle( $playoff_players );
				$games = get_post_meta( $tid, 'game_cache', true );


				$tehpost    = get_post( $tid );
				$data       = array(
					'pid'                     => $tehpost->ID,
					'title'                   => $tehpost->post_title,
					'description'             => $tehpost->post_content,
					'participants'            => 0,
					'tournament_format'       => 'Knockout',
					'tournament_slug'         => 'knockout',
					'game'                    => get_post_meta( $tehpost->ID, 'tournament_game', true ),
					'maps'                    => get_post_meta( $tehpost->ID, 'tournament_maps', true ),
					'tournament_contestants'  => get_post_meta( $tehpost->ID, 'tournament_contestants', true ),
					'tournament_games_format' => get_post_meta( $tehpost->ID, 'tournament_games_format', true ),
				);
				$tournament = new Arcane_Tournaments();
				$minicount  = 0;
				$seed       = 1;

				$tournament_timezone = get_post_meta( $data['tid'], 'tournament_timezone', true );
				if ( ! $tournament_timezone ) {
					$timezone_string     = arcane_timezone_string();
					$tournament_timezone = $timezone_string ? $timezone_string : 'UTC';
				}
				date_default_timezone_set( $tournament_timezone );
				$howoften = get_post_meta( $tid, 'tournament_game_frequency', true );
				if ( $howoften == '15 minutes' ) {
					$minutes = 15;
				} elseif ( $howoften == '30 minutes' ) {
					$minutes = 30;
				} elseif ( $howoften == '60 minutes' ) {
					$minutes = 60;
				} elseif ( $howoften == 1 ) {
					$minutes = 24 * 60;
				} else {
					$minutes = $howoften * 24 * 60;
				}

				while ( count( $playoff_players ) > 1 ) {
					if ( is_array( $playoff_players ) ) {
						$team1 = array_pop( $playoff_players );
					}
					if ( is_array( $playoff_players ) ) {
						$team2 = array_pop( $playoff_players );
					}

					$participants[ $team1 ]['seed'] = $seed;
					$seed ++;

					$participants[ $team2 ]['seed'] = $seed;
					$seed ++;

					//$howoften = get_post_meta($tid, 'tournament_game_frequency' , true);
					//$time = strtotime("+".$howoften."days", time());
					$fromwhen = strtotime( "now" );
					$time     = strtotime( "+" . $minutes . ' minutes', $fromwhen );

					$games['playoffs'][0][ $minicount ]['match_post_id']  = $tournament->ScheduleMatch( $data['pid'], $data['tournament_contestants'], $team1, $team2, $data['title'] . " - " . esc_html__( "Playoffs round", "arcane_tournament_types" ) . " " . ( $created + 1 ), $time, $data['game'], $data['description'] . "<br />" . esc_html__( "Playoffs round", "arcane_tournament_types" ) . " " . ( $created + 1 ) . " " . esc_html__( "game", "arcane_tournament_types" ), $data['maps'], $data['tournament_games_format'] );
					$games['playoffs'][0][ $minicount ]['teams'][0]['id'] = $team1;
					$games['playoffs'][0][ $minicount ]['teams'][1]['id'] = $team2;

					$games['playoffs'][0][ $minicount ]['teams'][0]['name'] = $participants[ $team1 ]['name'];
					$games['playoffs'][0][ $minicount ]['teams'][1]['name'] = $participants[ $team2 ]['name'];

					$games['playoffs'][0][ $minicount ]['teams'][0]['url'] = $participants[ $team1 ]['url'];
					$games['playoffs'][0][ $minicount ]['teams'][1]['url'] = $participants[ $team2 ]['url'];

					$games['playoffs'][0][ $minicount ]['time']              = $time;
					$games['playoffs'][0][ $minicount ]['teams'][0]['score'] = "0";
					$games['playoffs'][0][ $minicount ]['teams'][1]['score'] = "0";
					$minicount ++;
				}
				update_post_meta( $tid, 'game_cache', $games );
			}
			update_post_meta( $tid, 'participant_cache', $participants );
			update_post_meta( $tid, 'playoffs_started', '1' );

		}

		public function OnTournamentStart( $tid ) {
			//schedule all matches
			$created = get_post_meta( $tid, 'games_created', true );

			if ( $created != 1 ) {
				$tournament_timezone = get_post_meta( $tid, 'tournament_timezone', true );
				if ( ! $tournament_timezone ) {
					$timezone_string     = arcane_timezone_string();
					$tournament_timezone = $timezone_string ? $timezone_string : 'UTC';
				}
				date_default_timezone_set( $tournament_timezone );

				$competitors = get_post_meta( $tid, 'tournament_competitors', true );
				$starts      = get_post_meta( $tid, 'tournament_starts', true );
				$howoften    = get_post_meta( $tid, 'tournament_game_frequency', true );

				if ( is_array( $competitors ) and ( count( $competitors ) > 2 ) ) {
					//echo count ($competitors);
					$bla = $this->round_robin( $competitors, strtotime( $starts ), $howoften, $tid );
				}
			}
		}


		/**
		 * Runs a round robin to make a schedule.
		 */

		private function round_robin( $players, $fromwhen, $howoften, $tid ) {
			$games       = array();
			$players     = array_values( $players );
			$tempplayers = $players;
			$n           = count( $players );

			$teams = $players;

			if ( count( $teams ) % 2 != 0 ) {
				array_push( $teams, "bye" );
			}

			$away = array_splice( $teams, ( count( $teams ) / 2 ) );
			$home = $teams;

			for ( $i = 0; $i < count( $home ) + count( $away ) - 1; $i ++ ) {
				for ( $j = 0; $j < count( $home ); $j ++ ) {
					if ( $home[ $j ] == 'bye' or $away[ $j ] == 'bye' ) {
						continue;
					}
					$games[ $i ][ $j ][0] = $home[ $j ];
					$games[ $i ][ $j ][1] = $away[ $j ];
				}
				if ( count( $home ) + count( $away ) - 1 > 2 ) {
					$tmp = array_splice( $home, 1, 1 );
					array_unshift( $away, array_shift( $tmp ) );
					array_push( $home, array_pop( $away ) );
				}
			}


			$count = 0;
			//$contestants = get_post_meta($tid, 'tournament_contestants', true);
			$tehpost        = get_post( $tid );
			$data           = array(
				'pid'                     => $tehpost->ID,
				'title'                   => $tehpost->post_title,
				'description'             => $tehpost->post_content,
				'participants'            => 0,
				'tournament_format'       => 'League',
				'tournament_slug'         => 'league',
				'game'                    => get_post_meta( $tehpost->ID, 'tournament_game', true ),
				'maps'                    => get_post_meta( $tehpost->ID, 'tournament_maps', true ),
				'tournament_contestants'  => get_post_meta( $tehpost->ID, 'tournament_contestants', true ),
				'tournament_games_format' => get_post_meta( $tehpost->ID, 'tournament_games_format', true ),
			);
			$tourneygameids = array();
			foreach ( $players as $player ) {

				$participants = $data['tournament_contestants'];
				if ( $participants == 'Users' ) {

					$participants = 'user';
				}
				if ( $participants == 'Teams' ) {

					$participants = 'team';
				}

				$participant_cache[ $player ]['id']                 = $player;
				$participant_cache[ $player ]['position']           = 'unset';
				$participant_cache[ $player ]['score']['games']     = '0';
				$participant_cache[ $player ]['score']['victories'] = '0';
				$participant_cache[ $player ]['score']['defeats']   = '0';
				$participant_cache[ $player ]['score']['draws']     = '0';
				$participant_cache[ $player ]['score']['points']    = '0';
				if ( $participants == 'team' ) {
					$participant_cache[ $player ]['name'] = get_the_title( $player );
					$participant_cache[ $player ]['url']  = get_permalink( $player );
				} else {
					$user1                                = get_user_by( 'id', $player );
					$participant_cache[ $player ]['name'] = $user1->display_name;
					$participant_cache[ $player ]['url']  = bp_core_get_user_domain( $player );
				}
			}


			foreach ( $games as $round ) {
#               if (($howoften == 1) AND ($count ==0)) {
#                   $day = " day";
#               } else {
#                   $day = " days";
#               }
#               $multi = $count * $howoften;
#               $time = strtotime("+".$multi.$day, $fromwhen);
				if ( $howoften == '15 minutes' ) {
					$minutes = 15;
				} elseif ( $howoften == '30 minutes' ) {
					$minutes = 30;
				} elseif ( $howoften == '60 minutes' ) {
					$minutes = 60;
				} elseif ( $howoften == 1 ) {
					$minutes = 24 * 60;
				} else {
					$minutes = $howoften * 24 * 60;
				}
				$multi      = $count * $minutes;
				$time       = strtotime( "+" . $multi . ' minutes', $fromwhen );
				$tournament = new Arcane_Tournaments();
				$minicount  = 0;
				foreach ( $round as $match ) {
					$tourneygames[ $count ][ $minicount ]['match_post_id']    = $tournament->ScheduleMatch( $data['pid'], $data['tournament_contestants'], $match[0], $match[1], $data['title'] . " - " . esc_html__( "Round", "arcane_tournament_types" ) . " " . ( $count + 1 ), $time, $data['game'], $data['description'] . "<br />" . esc_html__( "Round", "arcane_tournament_types" ) . " " . ( $count + 1 ) . " " . esc_html__( "game", "arcane_tournament_types" ), $data['maps'], $data['tournament_games_format'] );
					$tourneygames[ $count ][ $minicount ]['teams'][0]['id']   = $match[0];
					$tourneygames[ $count ][ $minicount ]['teams'][1]['id']   = $match[1];
					$tourneygames[ $count ][ $minicount ]['teams'][0]['name'] = $participant_cache[ $match[0] ]['name'];
					$tourneygames[ $count ][ $minicount ]['teams'][1]['name'] = $participant_cache[ $match[1] ]['name'];
					$tourneygames[ $count ][ $minicount ]['teams'][0]['url']  = $participant_cache[ $match[0] ]['url'];
					$tourneygames[ $count ][ $minicount ]['teams'][1]['url']  = $participant_cache[ $match[1] ]['url'];
					$tourneygames[ $count ][ $minicount ]['time']             = $time;
					$tourneygames[ $count ][ $minicount ]['score']            = "";
					$minicount ++;
				}
				$count ++;
			}
			$participant_cache['positions'] = 1;
			//-------------------------------------------
			//group phase finished, make the playoffs
			//-----------------------------------------
			$taking_players = 2;
			$p              = 1;
			$count_players  = count( $players );
			if ( $count_players > 4 ) {
				while ( $taking_players < ceil( ( $count_players ) / 2 ) ) {
					//at most get the half
					$p ++;
					$taking_players = pow( 2, $p );
				}
			}
			if ( $taking_players >= ceil( ( $count_players ) / 2 ) ) {
				$taking_players = pow( 2, $p - 1 );
				$numrounds      = $p - 1;
			} else {
				$numrounds = $p;
			}
			if ( ( $taking_players == "1" ) or ( $numrounds < 1 ) ) {
				$taking_players = 2;
				$numrounds      = 1;
			}

			$created = 0;

			while ( $created < ( $numrounds ) ) {
				$modifier        = $numrounds - ( $created + 1 );
				$matches_to_make = pow( 2, $modifier );
				$minicount       = 0;
				while ( $minicount < $matches_to_make ) {
					$tourneygames['playoffs'][ $created ][ $minicount ]['match_post_id']  = 'unset'; //$tournament->ScheduleMatch($data['pid'], $data['tournament_contestants'], $team1, $team2, $data['title']." - ".esc_html__ ("Round", "arcane")." ".($created + 1) , $time, $data['game'], $data['description']."<br />".esc_html__ ("Round", "arcane")." ".($created + 1)." ".esc_html__ ("game", "arcane"), $data['maps'], $data['tournament_games_format']);
					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][0]['id'] = 'tbd';
					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][1]['id'] = 'tbd';

					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][0]['name'] = 'tbd';
					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][1]['name'] = 'tbd';

					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][0]['url'] = 'tbd';
					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][1]['url'] = 'tbd';

					$tourneygames['playoffs'][ $created ][ $minicount ]['time']              = '';
					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][0]['score'] = "0";
					$tourneygames['playoffs'][ $created ][ $minicount ]['teams'][1]['score'] = "0";
					$minicount ++;
				}
				$created ++;
			}
			update_post_meta( $tid, 'games_created', 1 );
			update_post_meta( $tid, 'game_cache', $tourneygames );
			update_post_meta( $tid, 'participant_cache', $participant_cache );
		}

		public function InitData( $tid ) {
			$options = $this->GetCreationOptions();
			$ending  = array();
			foreach ( $options as $option ) {
				if ( ( $option['type'] != "info" ) and ( $option['type'] != "heading" ) ) {
					array_push( $ending, $option );
				}
			}
			$values   = array();
			$postmeta = get_post_meta( $tid );
			if ( is_array( $ending ) ) {
				foreach ( $ending as $single ) {

					if ( isset( $postmeta[ $single['id'] ] ) ) {
						if ( $single['type'] == "checkbox" ) {
							$single['val'] = "off";
						}
						$single['val'] = $postmeta[ $single['id'] ][0];
					}
					//$single['val'] = get_post_meta($tid, $single['id'], true);
					array_push( $values, $single );
				}
			}
			$privates = array();

			if ( isset( $postmeta['tournament_state'] ) ) {
				$privates["state"] = $postmeta['tournament_state'][0];
			}
			$privates["pid"] = $tid;

			if ( isset( $postmeta['tournament_admins'] ) ) {
				$privates["admins"] = $postmeta['tournament_admins'][0];
			}
			$output = array();
			foreach ( $values as $option ) {
				//rearrange options so they have ID instead of random numerics
				$output[ $option['id'] ] = $option;
			}
			$this->options        = $output;
			$this->privateoptions = $privates;
			unset ( $single );
			unset ( $ending );
			unset ( $options );
			$this->initialized = true;
		}

		private function GamesLeftBeforePlayoff( $matches ) {
			$counter = 0;
			foreach ( $matches as $key => $rounds ) {
				if ( $key !== 'playoffs' ) {
					//not playoffs
					if ( is_array( $rounds ) ) {
						foreach ( $rounds as $game ) {
							if ( strlen( $game['score'] ) == 0 ) {
								//has score
								$counter ++;
							}
						}
					}
				}
			}

			return $counter;
		}

		public function PrintStatus( $tid ) {
			$created = get_post_meta( $tid, 'games_created', true );
			if ( $created == 1 ) {
				$games = get_post_meta( $tid, 'game_cache', true );
				//print_r ($games);
				//echo "LEFT: ".$this->GamesLeftBeforePlayoff($games);
				$participants = get_post_meta( $tid, 'participant_cache', true );
				$contestants  = get_post_meta( $tid, 'tournament_contestants', true );

				$return          = '';
				$knockout_script = '';

				$return      .= '<div class="tbbrakets">';
				$return      .= '
                <div class="tbprice">
                <table class="tbgroups" cellpadding="0" cellspacing="0">
                    <tbody>
                      <tr>
                        <th>#</th>
                        <th>
                            <img src="' . get_template_directory_uri() . '/img/ticons/team.png">
                             ' . esc_html__( "Team", "arcane_tournament_types" ) . '
                        </th>
                        <th>
                            <img src="' . get_template_directory_uri() . '/img/ticons/battle.png">
                             ' . esc_html__( "Battles", "arcane_tournament_types" ) . '
                        </th>
                        <th>
                            <img src="' . get_template_directory_uri() . '/img/ticons/victory.png">
                             ' . esc_html__( "Victories", "arcane_tournament_types" ) . '
                        </th>
                        <th>
                            <img src="' . get_template_directory_uri() . '/img/ticons/defeat.png">
                             ' . esc_html__( "Defeats", "arcane_tournament_types" ) . '
                        </th>
                        <th>
                            <img src="' . get_template_directory_uri() . '/img/ticons/draw.png">
                             ' . esc_html__( "Draws", "arcane_tournament_types" ) . '
                        </th>
                        <th>
                            <img src="' . get_template_directory_uri() . '/img/ticons/points.png">
                             ' . esc_html__( "Points", "arcane_tournament_types" ) . '
                        </th>
                    </tr>';
				$keepo       = $participants;
				$positions   = $participants['positions'];
				$atpos       = $positions;
				$temppos     = $positions;
				$minicounter = 1;
				while ( $atpos >= 0 ) {
					//$temppartip[$atpos][]
					foreach ( $participants as $single ) {
						if ( isset( $single['position'] ) && $single['position'] == $atpos ) {
							$temppartip[ $minicounter ][] = $single;
						}
					}
					$minicounter ++;
					$atpos --;
				}
				$counter    = 1;
				$temppartip = array_reverse( $temppartip );
				foreach ( $temppartip as $positionz ) {
					foreach ( $positionz as $single ) {
						if ( isset( $single['id'] ) ) {

							$t_id = $single['id'];
							if ( $contestants == 'team' ) {
								$tp     = get_post( $t_id );
								$t_name = $tp->post_title;
							} else {
								$tp     = get_user_by( 'id', $t_id );
								$t_name = $tp->display_name;
							}
							$return .= '<tr>
                                    <td>' . esc_attr( $counter ) . '</td>
                                    <td>
                                        <a href="' . esc_url( $single['url'] ) . '">' . esc_attr( $t_name ) . '</a>
                                    </td>
                                    <td>' . esc_attr( $single['score']['games'] ) . '</td>
                                    <td>' . esc_attr( $single['score']['victories'] ) . '</td>
                                    <td>' . esc_attr( $single['score']['defeats'] ) . '</td>
                                    <td>' . esc_attr( $single['score']['draws'] ) . '</td>
                                    <td>' . esc_attr( $single['score']['points'] ) . '</td>
                                </tr>';
						}

					}
					$counter ++;
				}

				$return  .= '</tbody>
                    </table>


                    </div>
                    <div class="tbbrakets_tabs"><div class="tbbstagesw"> 
                    
                    <div class="tabs-wrap">
                    <ul class="nav nav-tabs ">';
				$counter = 1;

				foreach ( $games as $key => $round ) {
					if ( $counter == 1 ) {
						$adder = 'class=active';
					} else {
						$adder = "";
					}
					if ( $key === 'playoffs' ) {
						$return .= '<li role="presentation" ' . esc_attr( $adder ) . '><a href="#roundtab-' . esc_attr( $counter ) . '" aria-controls="roundtab-' . esc_attr( $counter ) . '" role="tab" data-toggle="tab">' . esc_html__( 'Playoffs', 'arcane_tournament_types' ) . '</a></li>';
					} else {
						$return .= '<li role="presentation" ' . esc_attr( $adder ) . '><a href="#roundtab-' . esc_attr( $counter ) . '" aria-controls="roundtab-' . esc_attr( $counter ) . '" role="tab" data-toggle="tab">' . esc_html__( 'Round ', 'arcane_tournament_types' ) . ' ' . esc_attr( $counter ) . '</a></li>';
					}
					$counter ++;
				}
				$return  .= " </ul>";

				$return .= "<div class='tbroundt tab-content'>";
				$counter = 1;
				foreach ( $games as $key => $round ) {
					if ( $key === 'playoffs' ) {
						$return .= '<div class="single_round_table tab-pane ' . esc_attr( $adder ) . '" role="tabpanel"  id="roundtab-' . esc_attr( $counter ) . '">';

						$return .= '
                <div id="knockout_holder"><div id="thebracket" class="draggable">
                </div></div>';

						$knockout_script .= '
                var KnockOutData = [';
						foreach ( $round as $key => $playoff_games ) {
							if ( is_array( $playoff_games ) ) {
								$knockout_script .= '[
                    ';
								foreach ( $playoff_games as $playoff_game ) {
									$knockout_script .= '[';
									if ( isset( $playoff_game['match_post_id'] ) ) {
										if ( strlen( $playoff_game['match_post_id'] ) > 1 ) {
											$url = '"url": "' . esc_url( get_permalink( $playoff_game['match_post_id'] ) ) . '",';
										} else {
											$url = '';
										}
									} else {
										$url = '';
									}

									if ( $playoff_game['teams'][0]['id'] == "tbd" ) {
										$knockout_script .= '{"name" : "' . esc_html__( 'To be decided', 'arcane_tournament_types' ) . '"},';
									} else {
										if ( isset( $playoff_game['teams'][0]['score'] ) and ( $playoff_game['teams'][0]['score'] > 0 ) ) {
											$score = '"score": ' . esc_attr( $playoff_game['teams'][0]['score'] ) . ',';
										} else {
											$score = '"score": 0,';
										}
										$t1_id = $playoff_game['teams'][0]['id'];
										if ( $contestants == 'team' ) {
											$t1      = get_post( $t1_id );
											$t1_name = $t1->post_title;
										} else {
											$t1      = get_user_by( 'id', $t1_id );
											$t1_name = $t1->display_name;
										}
										$knockout_script .= '{"name" : "' . esc_attr( $t1_name ) . '", "id" : "' . $t1_id . '", ' . $url . ' ' . $score . ' "seed" : ' . esc_attr( $participants[ $playoff_game['teams'][0]['id'] ]['seed'] ) . ' },';
									}

									if ( $playoff_game['teams'][1]['id'] == "tbd" ) {
										$knockout_script .= '{"name" : "' . esc_html__( 'To be decided', 'arcane_tournament_types' ) . '"}';
									} else {
										if ( isset( $playoff_game['teams'][1]['score'] ) and ( $playoff_game['teams'][1]['score'] > 0 ) ) {
											$score = '"score": ' . esc_attr( $playoff_game['teams'][1]['score'] ) . ',';
										} else {
											$score = '"score": 0,';
										}
										$t2_id = $playoff_game['teams'][1]['id'];
										if ( $contestants == 'team' ) {
											$t2      = get_post( $t2_id );
											$t2_name = $t2->post_title;
										} else {
											$t2      = get_user_by( 'id', $t2_id );
											$t2_name = $t2->display_name;
										}
										$knockout_script .= '{"name" : "' . esc_attr( $t2_name ) . '", "id" : "' . $t2_id . '", ' . $url . ' ' . $score . ' "seed" : ' . esc_attr( $participants[ $playoff_game['teams'][1]['id'] ]['seed'] ) . ' }';
									}

									$knockout_script .= '],';


								}
								$knockout_script .= '

                    ],
                    ';
							}
						}

						$lastround = $round[ count( $round ) - 1 ];
						$score1    = $lastround[0]['teams'][0]['score'];
						$score2    = $lastround[0]['teams'][1]['score'];
						$finished  = get_post_meta( $lastround[0]['match_post_id'], 'status', true );
						//dodato finished da bi neko random prosao kad je skor 0:0
						if ( is_numeric( $score1 ) && ( $score1 > 0 ) or ( is_numeric( $score2 ) && ( $score2 > 0 ) ) or $finished == 'done' ) {
							$t1_id = $lastround[0]['teams'][0]['id'];
							if ( $contestants == 'team' ) {
								$t1      = get_post( $t1_id );
								$t1_name = $t1->post_title;
							} else {
								$t1      = get_user_by( 'id', $t1_id );
								$t1_name = $t1->display_name;
							}
							$t2_id = $lastround[0]['teams'][1]['id'];
							if ( $contestants == 'team' ) {
								$t2      = get_post( $t2_id );
								$t2_name = $t2->post_title;
							} else {
								$t2      = get_user_by( 'id', $t2_id );
								$t2_name = $t2->display_name;
							}
							if ( $score1 > $score2 ) {
								$knockout_script .= ' [
                        [{"name" : "' . esc_attr( $t1_name ) . '", "id" : "' . $t1_id . '", "seed" : ' . esc_attr( $participants[ $lastround[0]['teams'][0]['id'] ]['seed'] ) . ' }],
                        ],];';
							} else {
								$knockout_script .= ' [
                        [{"name" : "' . esc_attr( $t2_name ) . '", "id" : "' . $t2_id . '", "seed" : ' . esc_attr( $participants[ $lastround[0]['teams'][1]['id'] ]['seed'] ) . ' }],
                        ],];';
							}
						} else {
							$knockout_script .= ' [
                      [{"name" : "' . esc_html__( "To be decided", "arcane_tournament_types" ) . '"}],
                      ],];';
						}

						$knockout_script .= 'var SkipFirst = 0;';
						$knockout_script .= 'var ShowFirst = 0;';
						$knockout_script .= ' jQuery(document).ready(function() {
                   jQuery("a[href=\'#roundtab-' . esc_js( count( $games ) ) . '\']").click();

                        jQuery("#thebracket").gracket({ src : KnockOutData, canvasLineColor: "#fff", canvasLineWidth: 2, canvasId : "g_canvas", canvasClass : "g_canvas" });
                        jQuery("a[href=\'#roundtab-1\']").click();
                       jQuery(".g_game").click(function(e) {
                            var hasurl = "";
                            jQuery(this).children().each(function (index) {
                                jQuery(this).children().each(function (index) {
                                    var tempurl = jQuery(this).data("url");
                                    if (tempurl !== undefined) {
                                        hasurl = tempurl;
                                    }
                                });
                            });
                            if (hasurl.length > 1) {
                                var win = window.open(hasurl, "_blank");
                            }
                       });

                        var childz = jQuery("#thebracket");
                        var parentz = jQuery("#knockout_holder");
                        var parentPos = parentz.offset();
                        var childPos = childz.offset();


                        jQuery( "#thebracket" ).draggable({
                            drag: function(event, ui) {

                                 if (ui.position.top > 0) {
                                        ui.position.top = 0;
                                  }
                                  if (ui.position.top < 0) {
                                        ui.position.top = 0;
                                  }

                                  if (ui.position.left < (parentz.width() - childz.width())) {
                                      ui.position.left= parentz.width() - childz.width();
                                  }
                                   if (ui.position.left > 0) {
                                        ui.position.left= 0;
                                  }


                              },

                            scroll: false });
                    });
                ';
						$return          .= '</div>';
						wp_add_inline_script( 'arcane-global', $knockout_script );
					} else {
						if ( $counter == 1 ) {
							$adder = "active";
						} else {
							$adder = "";
						}

						$return .= '<div class="single_round_table tab-pane ' . esc_attr( $adder ) . '" role="tabpanel"  id="roundtab-' . esc_attr( $counter ) . '">
              <table>
                      ';
						$return .= '<tr><th><img src="' . get_template_directory_uri() . '/img/ticons/clock.png"> ' . esc_html__( "Match Date", "arcane_tournament_types" ) . '</th><th><img src="' . get_template_directory_uri() . '/img/ticons/team.png"> ' . esc_html__( "Team 1", "arcane_tournament_types" ) . '</th><th>' . esc_html__( "Score", "arcane_tournament_types" ) . '</th><th>' . esc_html__( "Team 2", "arcane_tournament_types" ) . ' <img src="' . get_template_directory_uri() . '/img/ticons/team.png"></th></tr>';

						foreach ( $round as $game ) {
							$tbd_class = '';
							if ( ! ( strlen( $game['score'] ) > 0 ) ) {
								$game['score'] = esc_html__( 'TBD', 'arcane_tournament_types' );
								$tbd_class     = 'tbd_score';
							}

							$t1_id = $game['teams'][0]['id'];
							if ( $contestants == 'team' ) {
								$t1      = get_post( $t1_id );
								$t1_name = $t1->post_title;
							} else {
								$t1      = get_user_by( 'id', $t1_id );
								$t1_name = $t1->display_name;
							}
							$t2_id = $game['teams'][1]['id'];
							if ( $contestants == 'team' ) {
								$t2      = get_post( $t2_id );
								$t2_name = $t2->post_title;
							} else {
								$t2      = get_user_by( 'id', $t2_id );
								$t2_name = $t2->display_name;
							}

							$return .= '<tr>
                            <td>' . date_i18n( get_option( 'date_format' ) . " " . get_option( 'time_format' ), $game['time'] ) . '
                            <td><a href="' . esc_url( $game['teams'][0]['url'] ) . '"  target="_blank">' . esc_attr( $t1_name ) . '</a></td>
                            <td class="gscore"><a class="' . esc_attr( $tbd_class ) . '" href="' . get_permalink( $game['match_post_id'] ) . '" target="_blank">' . esc_attr( $game['score'] ) . '</a></td>
                            <td><a href="' . esc_url( $game['teams'][1]['url'] ) . '"  target="_blank">' . esc_attr( $t2_name ) . '</a></td>
                        </tr>';
						}
						$return .= '</table></div>';
						$counter ++;
					}
				}
				$return .= '</div></div></div></div>';

				return $return;
			} else {
				return false;
			}

		}


		public function GetCreationOptions() {
			//kindoffunny but let's create options for ourselves
			$options = array(
				array(
					"name" => esc_html__( "Dates", 'arcane_tournament_types' ),
					"type" => "heading"
				),
				array(
					"name" => esc_html__( "Dates", 'arcane_tournament_types' ),
					"type" => "info"
				),
				array(
					"name" => esc_html__( "Tournament starts", 'arcane_tournament_types' ),
					"desc" => esc_html__( "Date when tournament starts", 'arcane_tournament_types' ),
					"id"   => "tournament_starts",
					"type" => "date"
				),
				array(
					"name" => esc_html__( "Participants and games", 'arcane_tournament_types' ),
					"type" => "heading"
				),
				array(
					"name" => esc_html__( "Participant and games data", 'arcane_tournament_types' ),
					"type" => "info"
				),
				array(
					"name"    => esc_html__( "Participant types", 'arcane_tournament_types' ),
					"desc"    => esc_html__( "Single user or a team", 'arcane_tournament_types' ),
					"id"      => "participant_type",
					"type"    => "select",
					"options" => array( "user", "team" )
				),
				array(
					"name" => esc_html__( "Participants", 'arcane_tournament_types' ),
					"desc" => esc_html__( "Minimal number of participants needed for tournament", 'arcane_tournament_types' ),
					"id"   => "num_participants",
					"type" => "number"
				),
				array(
					"name"    => esc_html__( "Games number", 'arcane_tournament_types' ),
					"desc"    => esc_html__( "Choose how many games each team plays (Best of X games)", 'arcane_tournament_types' ),
					"id"      => "games_number",
					"type"    => "select",
					"options" => array( "BO1", "BO2", "BO3", "BO4", "BO5" )
				),

				array(
					"name" => esc_html__( "Games played", 'arcane_tournament_types' ),
					"desc" => esc_html__( "Schedule a game every X days (1 means daily, 7 means one weekly)", 'arcane_tournament_types' ),
					"id"   => "schedule_every_x_days",
					"type" => "number"
				),
			);

			return $options;
		}
	}
}
array_push( $formats, 'Arcane_Tournaments_Roundrobin' );